(* ****************************************************************************
 *               Read/Write Font information from/to .INI file
 *                  Copyright (C) 1998-2004 Fumio Kawamata
 *
 *  You can get Version Information of the program by using this unit.
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; version 2 of the License.
 *
 *  This program is distributed in the hope that it will be useful, but
 *  WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANT-
 *  ABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General
 *  Public License for more details.  You must be have it.
 * ****************************************************************************
 *)
unit FontInfo;

interface

uses Forms;

procedure ReadFontInfoFromIniFile(Form: TForm; IniFileFullPath: String);
procedure WriteFontInfoToIniFile(Form: TForm; IniFileFullPath: String);


implementation

uses IniFiles, Messages, Controls, Graphics;

var
  Msg: TMessage = (Msg: CM_PARENTFONTCHANGED);
  (* TMessage requires Messages unit. *)
  (* CM_PARENTFONTCHANGED requires Controls unit. *)

procedure ReadFontInfoFromIniFile(Form: TForm; IniFileFullPath: String);
var
  AppIni : TMemIniFile;
  I:         Integer;
  FontStyle: Byte;
begin
  AppIni:=TMemIniFile.Create(IniFileFullPath);
  Form.Font.Name:=AppIni.ReadString('Font', 'FontName', 'Times New Roman');
  FontStyle:=AppIni.ReadInteger('Font', 'FontStyle', 0);
  Form.Font.Style:=TFontStyles(FontStyle);
  Form.Font.Size:=AppIni.ReadInteger('Font', 'FontSize', 9);
  Form.Font.Charset:=TFontCharSet(AppIni.ReadInteger('Font', 'CharacterSet', 0));
  for I:= 0 to Screen.FormCount-1 do
  begin
    //Screen.Forms[I].Dispatch(Msg);
    Screen.Forms[I].Font:=Form.Font;
  end;
  AppIni.Free;
end;



procedure WriteFontInfoToIniFile(Form: TForm; IniFileFullPath: String);
var
  AppIni : TMemIniFile;
begin
  AppIni:=TMemIniFile.Create(IniFileFullPath);
  AppIni.WriteString('Font', 'FontName', Form.Font.Name);
  AppIni.WriteInteger('Font', 'FontStyle', Byte(Form.Font.Style));
  AppIni.WriteInteger('Font', 'FontSize', Byte(Form.Font.Size));
  AppIni.WriteInteger('Font', 'CharacterSet', Byte(Form.Font.Charset));
  AppIni.UpdateFile;
  AppIni.Free;
end;



end.
